/**
 * Response, taskID, and deletion timestamp.
 */
export type DeletedAtResponse = {
    /**
     * Unique identifier of a task. A successful API response means that a task was added to a queue. It might not run immediately. You can check the task\'s progress with the `task` operation and this `taskID`.
     */
    taskID: number;
    /**
     * Timestamp of deletion in [ISO 8601](https://wikipedia.org/wiki/ISO_8601) format.
     */
    deletedAt: string;
};
//# sourceMappingURL=deletedAtResponse.d.ts.map